Files
operating-system/buildroot/package/dnsmasq/S80dnsmasq
Pascal Vizeli b13086072c Update buildroot & docker (#25)
* Update docker & buildroot

* Fix

* fix versions
2018-05-28 14:58:22 +02:00

26 lines
427 B
Bash
Executable File

#!/bin/sh
[ -f /etc/dnsmasq.conf ] || exit 0
case "$1" in
start)
printf "Starting dnsmasq: "
start-stop-daemon -S -x /usr/sbin/dnsmasq
[ $? = 0 ] && echo "OK" || echo "FAIL"
;;
stop)
printf "Stopping dnsmasq: "
start-stop-daemon -K -q -x /usr/sbin/dnsmasq
[ $? = 0 ] && echo "OK" || echo "FAIL"
;;
restart|reload)
$0 stop
$0 start
;;
*)
echo "Usage: $0 {start|stop|restart}"
exit 1
esac
exit 0